> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bundle

> Retrieves a bundle with all its options split into included and add-on categories.



## OpenAPI

````yaml swagger.json get /bundles/{bundleId}
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /bundles/{bundleId}:
    get:
      tags:
        - Bundles
      summary: Get Bundle
      description: >-
        Retrieves a bundle with all its options split into included and add-on
        categories.
      parameters:
        - name: bundleId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved bundle
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBundleResponse'
        '401':
          description: Unauthorized
        '404':
          description: Bundle not found
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetBundleResponse:
      type: object
      properties:
        bundle:
          $ref: '#/components/schemas/Bundle'
        options:
          type: object
          properties:
            included:
              type: array
              items:
                $ref: '#/components/schemas/BundleOptionWithDefaultProduct'
            addOns:
              type: array
              items:
                $ref: '#/components/schemas/BundleOptionWithDefaultProduct'
          required:
            - included
            - addOns
      required:
        - bundle
        - options
    Bundle:
      type: object
      properties:
        id:
          type: string
        accountId:
          type: string
        isActive:
          type: boolean
        header:
          $ref: '#/components/schemas/BundleProduct'
        clonedBundleTempName:
          type: string
          nullable: true
      required:
        - id
        - accountId
        - isActive
    BundleOptionWithDefaultProduct:
      allOf:
        - $ref: '#/components/schemas/BundleOption'
        - type: object
          properties:
            defaultProduct:
              oneOf:
                - $ref: '#/components/schemas/BundleOptionProduct'
              nullable: true
    BundleProduct:
      type: object
      properties:
        productId:
          type: string
        properties:
          type: object
          additionalProperties:
            type: string
            nullable: true
      required:
        - productId
        - properties
    BundleOption:
      type: object
      properties:
        id:
          type: string
        accountId:
          type: string
        bundleId:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        priceBookId:
          type: string
        displayOrder:
          type: number
        configuration:
          $ref: '#/components/schemas/BundleOptionConfiguration'
      required:
        - id
        - accountId
        - bundleId
        - name
        - priceBookId
        - displayOrder
        - configuration
    BundleOptionProduct:
      type: object
      properties:
        id:
          type: string
        accountId:
          type: string
        bundleId:
          type: string
        optionId:
          type: string
        productId:
          type: string
        properties:
          type: object
          additionalProperties:
            type: string
            nullable: true
        configuration:
          $ref: '#/components/schemas/BundleProductConfiguration'
        displayOrder:
          type: number
      required:
        - id
        - accountId
        - bundleId
        - optionId
        - productId
        - properties
        - displayOrder
    BundleOptionConfiguration:
      type: object
      properties:
        minCount:
          type: number
          nullable: true
        maxCount:
          type: number
          nullable: true
        defaultOptionProductId:
          type: string
          nullable: true
    BundleProductConfiguration:
      type: object
      properties:
        minQuantity:
          type: number
        maxQuantity:
          type: number
        readonlyQuantity:
          type: boolean
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````